Change caption or position
const url = 'https://api.gampeon.com/v1/projects/example/gallery/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"caption":"example","position":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.gampeon.com/v1/projects/example/gallery/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "caption": "example", "position": 1 }'Everyone who can edit the project (owner, or owners and admins of its studio). position moves the item (0 = first).
Not available with access tokens.
Rate limit: 120 edits per hour per account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Project slug
Gallery item ID (16 hex characters)
Request Bodyrequired
Section titled “Request Bodyrequired”object
Example generated
{ "caption": "example", "position": 1}Responses
Section titled “Responses”The whole gallery in the new order
object
object
YouTube video ID (11 characters)
Example
{ "gallery": [ { "type": "image" } ]}Error codes: invalid_field
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed, forbidden, project_hidden
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Limit: 120 edits per hour per account. Error codes: rate_limited
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}